Commit df144773 by devttys0

Fixed quoted version bug in C/Makefile; added autoreconf to configure script.

parent 844d1ffd
...@@ -3287,10 +3287,8 @@ else ...@@ -3287,10 +3287,8 @@ else
INSTALL_OPTIONS="-D -m644" INSTALL_OPTIONS="-D -m644"
fi fi
cd ./src/C/file-*/ && ./configure || exit 1 (cd ./src/C/file-*/ && autoreconf -v && ./configure) || (echo "libmagic configure failed"; exit 1)
cd - (cd ./src/C/ssdeep-*/ && autoreconf -v && ./configure) || (echo "libfuzzy configure failed"; exit 1)
cd ./src/C/ssdeep-*/ && ./configure || exit 1
cd -
SONAME=$SONAME SONAME=$SONAME
......
...@@ -20,10 +20,8 @@ else ...@@ -20,10 +20,8 @@ else
INSTALL_OPTIONS="-D -m644" INSTALL_OPTIONS="-D -m644"
fi fi
cd ./src/C/file-*/ && ./configure || exit 1 (cd ./src/C/file-*/ && autoreconf -v && ./configure) || (echo "libmagic configure failed"; exit 1)
cd - (cd ./src/C/ssdeep-*/ && autoreconf -v && ./configure) || (echo "libfuzzy configure failed"; exit 1)
cd ./src/C/ssdeep-*/ && ./configure || exit 1
cd -
AC_SUBST(SONAME, $SONAME) AC_SUBST(SONAME, $SONAME)
AC_SUBST(SOEXT, $SOEXT) AC_SUBST(SOEXT, $SOEXT)
......
FILE_VERSION="5.18" FILE_VERSION=5.18
SSDEEP_VERSION="2.10" SSDEEP_VERSION=2.10
.PHONY: all install clean distclean uninstall file_make_prep ssdeep_make_prep .PHONY: all install clean distclean uninstall file_make_prep ssdeep_make_prep
......
m4trace:aclocal.m4:1228: -1- m4_include([m4/libtool.m4]) m4trace:aclocal.m4:1139: -1- m4_include([m4/libtool.m4])
m4trace:aclocal.m4:1229: -1- m4_include([m4/ltoptions.m4]) m4trace:aclocal.m4:1140: -1- m4_include([m4/ltoptions.m4])
m4trace:aclocal.m4:1230: -1- m4_include([m4/ltsugar.m4]) m4trace:aclocal.m4:1141: -1- m4_include([m4/ltsugar.m4])
m4trace:aclocal.m4:1231: -1- m4_include([m4/ltversion.m4]) m4trace:aclocal.m4:1142: -1- m4_include([m4/ltversion.m4])
m4trace:aclocal.m4:1232: -1- m4_include([m4/lt~obsolete.m4]) m4trace:aclocal.m4:1143: -1- m4_include([m4/lt~obsolete.m4])
m4trace:aclocal.m4:1233: -1- m4_include([acinclude.m4]) m4trace:aclocal.m4:1144: -1- m4_include([acinclude.m4])
m4trace:configure.ac:2: -1- AC_INIT([file], [5.18], [christos@astron.com]) m4trace:configure.ac:2: -1- AC_INIT([file], [5.18], [christos@astron.com])
m4trace:configure.ac:2: -1- m4_pattern_forbid([^_?A[CHUM]_]) m4trace:configure.ac:2: -1- m4_pattern_forbid([^_?A[CHUM]_])
m4trace:configure.ac:2: -1- m4_pattern_forbid([_AC_]) m4trace:configure.ac:2: -1- m4_pattern_forbid([_AC_])
...@@ -154,7 +154,7 @@ m4trace:configure.ac:2: -1- AC_SUBST_TRACE([target_alias]) ...@@ -154,7 +154,7 @@ m4trace:configure.ac:2: -1- AC_SUBST_TRACE([target_alias])
m4trace:configure.ac:2: -1- m4_pattern_allow([^target_alias$]) m4trace:configure.ac:2: -1- m4_pattern_allow([^target_alias$])
m4trace:configure.ac:3: -1- AM_INIT_AUTOMAKE([subdir-objects foreign]) m4trace:configure.ac:3: -1- AM_INIT_AUTOMAKE([subdir-objects foreign])
m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$]) m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$])
m4trace:configure.ac:3: -1- AM_AUTOMAKE_VERSION([1.14]) m4trace:configure.ac:3: -1- AM_AUTOMAKE_VERSION([1.11.3])
m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([install-sh]) m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([install-sh])
m4trace:configure.ac:3: -1- AC_SUBST([INSTALL_PROGRAM]) m4trace:configure.ac:3: -1- AC_SUBST([INSTALL_PROGRAM])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([INSTALL_PROGRAM]) m4trace:configure.ac:3: -1- AC_SUBST_TRACE([INSTALL_PROGRAM])
...@@ -215,7 +215,7 @@ m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([install-sh]) ...@@ -215,7 +215,7 @@ m4trace:configure.ac:3: -1- AC_REQUIRE_AUX_FILE([install-sh])
m4trace:configure.ac:3: -1- AC_SUBST([MKDIR_P]) m4trace:configure.ac:3: -1- AC_SUBST([MKDIR_P])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([MKDIR_P]) m4trace:configure.ac:3: -1- AC_SUBST_TRACE([MKDIR_P])
m4trace:configure.ac:3: -1- m4_pattern_allow([^MKDIR_P$]) m4trace:configure.ac:3: -1- m4_pattern_allow([^MKDIR_P$])
m4trace:configure.ac:3: -1- AC_SUBST([mkdir_p], ['$(MKDIR_P)']) m4trace:configure.ac:3: -1- AC_SUBST([mkdir_p], ["$MKDIR_P"])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([mkdir_p]) m4trace:configure.ac:3: -1- AC_SUBST_TRACE([mkdir_p])
m4trace:configure.ac:3: -1- m4_pattern_allow([^mkdir_p$]) m4trace:configure.ac:3: -1- m4_pattern_allow([^mkdir_p$])
m4trace:configure.ac:3: -1- AC_SUBST([AWK]) m4trace:configure.ac:3: -1- AC_SUBST([AWK])
...@@ -236,22 +236,6 @@ m4trace:configure.ac:3: -1- m4_pattern_allow([^am__tar$]) ...@@ -236,22 +236,6 @@ m4trace:configure.ac:3: -1- m4_pattern_allow([^am__tar$])
m4trace:configure.ac:3: -1- AC_SUBST([am__untar]) m4trace:configure.ac:3: -1- AC_SUBST([am__untar])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([am__untar]) m4trace:configure.ac:3: -1- AC_SUBST_TRACE([am__untar])
m4trace:configure.ac:3: -1- m4_pattern_allow([^am__untar$]) m4trace:configure.ac:3: -1- m4_pattern_allow([^am__untar$])
m4trace:configure.ac:3: -1- AM_SILENT_RULES
m4trace:configure.ac:3: -1- AC_SUBST([AM_V])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([AM_V])
m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_V$])
m4trace:configure.ac:3: -1- _AM_SUBST_NOTMAKE([AM_V])
m4trace:configure.ac:3: -1- AC_SUBST([AM_DEFAULT_V])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([AM_DEFAULT_V])
m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_DEFAULT_V$])
m4trace:configure.ac:3: -1- _AM_SUBST_NOTMAKE([AM_DEFAULT_V])
m4trace:configure.ac:3: -1- AC_SUBST([AM_DEFAULT_VERBOSITY])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([AM_DEFAULT_VERBOSITY])
m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_DEFAULT_VERBOSITY$])
m4trace:configure.ac:3: -1- AC_SUBST([AM_BACKSLASH])
m4trace:configure.ac:3: -1- AC_SUBST_TRACE([AM_BACKSLASH])
m4trace:configure.ac:3: -1- m4_pattern_allow([^AM_BACKSLASH$])
m4trace:configure.ac:3: -1- _AM_SUBST_NOTMAKE([AM_BACKSLASH])
m4trace:configure.ac:4: -1- AM_SILENT_RULES([yes]) m4trace:configure.ac:4: -1- AM_SILENT_RULES([yes])
m4trace:configure.ac:4: -1- AC_SUBST([AM_V]) m4trace:configure.ac:4: -1- AC_SUBST([AM_V])
m4trace:configure.ac:4: -1- AC_SUBST_TRACE([AM_V]) m4trace:configure.ac:4: -1- AC_SUBST_TRACE([AM_V])
...@@ -379,7 +363,6 @@ m4trace:configure.ac:71: -1- m4_pattern_allow([^EXEEXT$]) ...@@ -379,7 +363,6 @@ m4trace:configure.ac:71: -1- m4_pattern_allow([^EXEEXT$])
m4trace:configure.ac:71: -1- AC_SUBST([OBJEXT], [$ac_cv_objext]) m4trace:configure.ac:71: -1- AC_SUBST([OBJEXT], [$ac_cv_objext])
m4trace:configure.ac:71: -1- AC_SUBST_TRACE([OBJEXT]) m4trace:configure.ac:71: -1- AC_SUBST_TRACE([OBJEXT])
m4trace:configure.ac:71: -1- m4_pattern_allow([^OBJEXT$]) m4trace:configure.ac:71: -1- m4_pattern_allow([^OBJEXT$])
m4trace:configure.ac:71: -1- AC_REQUIRE_AUX_FILE([compile])
m4trace:configure.ac:71: -1- AC_SUBST([DEPDIR], ["${am__leading_dot}deps"]) m4trace:configure.ac:71: -1- AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])
m4trace:configure.ac:71: -1- AC_SUBST_TRACE([DEPDIR]) m4trace:configure.ac:71: -1- AC_SUBST_TRACE([DEPDIR])
m4trace:configure.ac:71: -1- m4_pattern_allow([^DEPDIR$]) m4trace:configure.ac:71: -1- m4_pattern_allow([^DEPDIR$])
...@@ -502,6 +485,11 @@ m4trace:configure.ac:72: -1- m4_pattern_allow([^_POSIX_PTHREAD_SEMANTICS$]) ...@@ -502,6 +485,11 @@ m4trace:configure.ac:72: -1- m4_pattern_allow([^_POSIX_PTHREAD_SEMANTICS$])
m4trace:configure.ac:72: -1- AC_DEFINE_TRACE_LITERAL([_TANDEM_SOURCE]) m4trace:configure.ac:72: -1- AC_DEFINE_TRACE_LITERAL([_TANDEM_SOURCE])
m4trace:configure.ac:72: -1- m4_pattern_allow([^_TANDEM_SOURCE$]) m4trace:configure.ac:72: -1- m4_pattern_allow([^_TANDEM_SOURCE$])
m4trace:configure.ac:73: -1- AM_PROG_CC_C_O m4trace:configure.ac:73: -1- AM_PROG_CC_C_O
m4trace:configure.ac:73: -1- AC_DEFINE_TRACE_LITERAL([NO_MINUS_C_MINUS_O])
m4trace:configure.ac:73: -1- m4_pattern_allow([^NO_MINUS_C_MINUS_O$])
m4trace:configure.ac:73: -1- AH_OUTPUT([NO_MINUS_C_MINUS_O], [/* Define to 1 if your C compiler doesn\'t accept -c and -o together. */
@%:@undef NO_MINUS_C_MINUS_O])
m4trace:configure.ac:73: -1- AC_REQUIRE_AUX_FILE([compile])
m4trace:configure.ac:74: -1- AH_OUTPUT([WORDS_BIGENDIAN], [/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most m4trace:configure.ac:74: -1- AH_OUTPUT([WORDS_BIGENDIAN], [/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
significant byte first (like Motorola and SPARC, unlike Intel). */ significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD #if defined AC_APPLE_UNIVERSAL_BUILD
...@@ -606,6 +594,18 @@ m4trace:configure.ac:77: -1- AH_OUTPUT([HAVE_DLFCN_H], [/* Define to 1 if you ha ...@@ -606,6 +594,18 @@ m4trace:configure.ac:77: -1- AH_OUTPUT([HAVE_DLFCN_H], [/* Define to 1 if you ha
@%:@undef HAVE_DLFCN_H]) @%:@undef HAVE_DLFCN_H])
m4trace:configure.ac:77: -1- AC_DEFINE_TRACE_LITERAL([HAVE_DLFCN_H]) m4trace:configure.ac:77: -1- AC_DEFINE_TRACE_LITERAL([HAVE_DLFCN_H])
m4trace:configure.ac:77: -1- m4_pattern_allow([^HAVE_DLFCN_H$]) m4trace:configure.ac:77: -1- m4_pattern_allow([^HAVE_DLFCN_H$])
m4trace:configure.ac:78: -1- _m4_warn([obsolete], [The macro `AC_TRY_COMPILE' is obsolete.
You should run autoupdate.], [../../lib/autoconf/general.m4:2615: AC_TRY_COMPILE is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
aclocal.m4:45: gl_VISIBILITY is expanded from...
configure.ac:78: the top level])
m4trace:configure.ac:78: -1- _m4_warn([obsolete], [The macro `AC_TRY_COMPILE' is obsolete.
You should run autoupdate.], [../../lib/autoconf/general.m4:2615: AC_TRY_COMPILE is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
aclocal.m4:45: gl_VISIBILITY is expanded from...
configure.ac:78: the top level])
m4trace:configure.ac:78: -1- AC_SUBST([CFLAG_VISIBILITY]) m4trace:configure.ac:78: -1- AC_SUBST([CFLAG_VISIBILITY])
m4trace:configure.ac:78: -1- AC_SUBST_TRACE([CFLAG_VISIBILITY]) m4trace:configure.ac:78: -1- AC_SUBST_TRACE([CFLAG_VISIBILITY])
m4trace:configure.ac:78: -1- m4_pattern_allow([^CFLAG_VISIBILITY$]) m4trace:configure.ac:78: -1- m4_pattern_allow([^CFLAG_VISIBILITY$])
......
...@@ -228,6 +228,9 @@ ...@@ -228,6 +228,9 @@
<sysmacros.h>. */ <sysmacros.h>. */
#undef MAJOR_IN_SYSMACROS #undef MAJOR_IN_SYSMACROS
/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O
/* Name of package */ /* Name of package */
#undef PACKAGE #undef PACKAGE
...@@ -292,11 +295,6 @@ ...@@ -292,11 +295,6 @@
# endif # endif
#endif #endif
/* Enable large inode numbers on Mac OS X 10.5. */
#ifndef _DARWIN_USE_64_BIT_INODE
# define _DARWIN_USE_64_BIT_INODE 1
#endif
/* Number of bits in a file offset, on hosts where this is settable. */ /* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS #undef _FILE_OFFSET_BITS
......
# Makefile.in generated by automake 1.14 from Makefile.am. # Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2013 Free Software Foundation, Inc. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
...@@ -14,51 +15,6 @@ ...@@ -14,51 +15,6 @@
@SET_MAKE@ @SET_MAKE@
VPATH = @srcdir@ VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/@PACKAGE@ pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@ pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@ pkglibexecdir = $(libexecdir)/@PACKAGE@
...@@ -77,7 +33,7 @@ POST_UNINSTALL = : ...@@ -77,7 +33,7 @@ POST_UNINSTALL = :
build_triplet = @build@ build_triplet = @build@
host_triplet = @host@ host_triplet = @host@
subdir = doc subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
...@@ -89,25 +45,14 @@ mkinstalldirs = $(install_sh) -d ...@@ -89,25 +45,14 @@ mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES = CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@) AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@; am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@) AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @ am__v_at_0 = @
am__v_at_1 =
SOURCES = SOURCES =
DIST_SOURCES = DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \ am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
...@@ -143,7 +88,6 @@ man4dir = $(mandir)/man4 ...@@ -143,7 +88,6 @@ man4dir = $(mandir)/man4
man5dir = $(mandir)/man5 man5dir = $(mandir)/man5
NROFF = nroff NROFF = nroff
MANS = $(man_MANS) MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = @pkgdatadir@ pkgdatadir = @pkgdatadir@
ACLOCAL = @ACLOCAL@ ACLOCAL = @ACLOCAL@
...@@ -312,18 +256,11 @@ clean-libtool: ...@@ -312,18 +256,11 @@ clean-libtool:
-rm -rf .libs _libs -rm -rf .libs _libs
install-man1: $(man_MANS) install-man1: $(man_MANS)
@$(NORMAL_INSTALL) @$(NORMAL_INSTALL)
@list1=''; \ test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
list2='$(man_MANS)'; \ @list=''; test -n "$(man1dir)" || exit 0; \
test -n "$(man1dir)" \ { for i in $$list; do echo "$$i"; done; \
&& test -n "`echo $$list1$$list2`" \ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
|| exit 0; \ sed -n '/\.1[a-z]*$$/p'; \
echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
{ for i in $$list1; do echo "$$i"; done; \
if test -n "$$list2"; then \
for i in $$list2; do echo "$$i"; done \
| sed -n '/\.1[a-z]*$$/p'; \
fi; \
} | while read p; do \ } | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \ echo "$$d$$p"; echo "$$p"; \
...@@ -355,18 +292,11 @@ uninstall-man1: ...@@ -355,18 +292,11 @@ uninstall-man1:
dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir) dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-man3: $(man_MANS) install-man3: $(man_MANS)
@$(NORMAL_INSTALL) @$(NORMAL_INSTALL)
@list1=''; \ test -z "$(man3dir)" || $(MKDIR_P) "$(DESTDIR)$(man3dir)"
list2='$(man_MANS)'; \ @list=''; test -n "$(man3dir)" || exit 0; \
test -n "$(man3dir)" \ { for i in $$list; do echo "$$i"; done; \
&& test -n "`echo $$list1$$list2`" \ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
|| exit 0; \ sed -n '/\.3[a-z]*$$/p'; \
echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
$(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
{ for i in $$list1; do echo "$$i"; done; \
if test -n "$$list2"; then \
for i in $$list2; do echo "$$i"; done \
| sed -n '/\.3[a-z]*$$/p'; \
fi; \
} | while read p; do \ } | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \ echo "$$d$$p"; echo "$$p"; \
...@@ -398,18 +328,11 @@ uninstall-man3: ...@@ -398,18 +328,11 @@ uninstall-man3:
dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir) dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
install-man4: $(man_MANS) install-man4: $(man_MANS)
@$(NORMAL_INSTALL) @$(NORMAL_INSTALL)
@list1=''; \ test -z "$(man4dir)" || $(MKDIR_P) "$(DESTDIR)$(man4dir)"
list2='$(man_MANS)'; \ @list=''; test -n "$(man4dir)" || exit 0; \
test -n "$(man4dir)" \ { for i in $$list; do echo "$$i"; done; \
&& test -n "`echo $$list1$$list2`" \ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
|| exit 0; \ sed -n '/\.4[a-z]*$$/p'; \
echo " $(MKDIR_P) '$(DESTDIR)$(man4dir)'"; \
$(MKDIR_P) "$(DESTDIR)$(man4dir)" || exit 1; \
{ for i in $$list1; do echo "$$i"; done; \
if test -n "$$list2"; then \
for i in $$list2; do echo "$$i"; done \
| sed -n '/\.4[a-z]*$$/p'; \
fi; \
} | while read p; do \ } | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \ echo "$$d$$p"; echo "$$p"; \
...@@ -441,18 +364,11 @@ uninstall-man4: ...@@ -441,18 +364,11 @@ uninstall-man4:
dir='$(DESTDIR)$(man4dir)'; $(am__uninstall_files_from_dir) dir='$(DESTDIR)$(man4dir)'; $(am__uninstall_files_from_dir)
install-man5: $(man_MANS) install-man5: $(man_MANS)
@$(NORMAL_INSTALL) @$(NORMAL_INSTALL)
@list1=''; \ test -z "$(man5dir)" || $(MKDIR_P) "$(DESTDIR)$(man5dir)"
list2='$(man_MANS)'; \ @list=''; test -n "$(man5dir)" || exit 0; \
test -n "$(man5dir)" \ { for i in $$list; do echo "$$i"; done; \
&& test -n "`echo $$list1$$list2`" \ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
|| exit 0; \ sed -n '/\.5[a-z]*$$/p'; \
echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
$(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
{ for i in $$list1; do echo "$$i"; done; \
if test -n "$$list2"; then \
for i in $$list2; do echo "$$i"; done \
| sed -n '/\.5[a-z]*$$/p'; \
fi; \
} | while read p; do \ } | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \ echo "$$d$$p"; echo "$$p"; \
...@@ -482,14 +398,27 @@ uninstall-man5: ...@@ -482,14 +398,27 @@ uninstall-man5:
} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \ } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
-e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir) dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
tags TAGS: tags: TAGS
TAGS:
ctags CTAGS:
cscope cscopelist: ctags: CTAGS
CTAGS:
distdir: $(DISTFILES) distdir: $(DISTFILES)
@list='$(MANS)'; if test -n "$$list"; then \
list=`for p in $$list; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
if test -n "$$list" && \
grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
echo " typically \`make maintainer-clean' will remove them" >&2; \
exit 1; \
else :; fi; \
else :; fi
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \ list='$(DISTFILES)'; \
...@@ -629,18 +558,18 @@ uninstall-man: uninstall-man1 uninstall-man3 uninstall-man4 \ ...@@ -629,18 +558,18 @@ uninstall-man: uninstall-man1 uninstall-man3 uninstall-man4 \
.MAKE: install-am install-strip .MAKE: install-am install-strip
.PHONY: all all-am check check-am clean clean-generic clean-libtool \ .PHONY: all all-am check check-am clean clean-generic clean-libtool \
cscopelist-am ctags-am distclean distclean-generic \ distclean distclean-generic distclean-libtool distdir dvi \
distclean-libtool distdir dvi dvi-am html html-am info info-am \ dvi-am html html-am info info-am install install-am \
install install-am install-data install-data-am install-dvi \ install-data install-data-am install-dvi install-dvi-am \
install-dvi-am install-exec install-exec-am install-html \ install-exec install-exec-am install-html install-html-am \
install-html-am install-info install-info-am install-man \ install-info install-info-am install-man install-man1 \
install-man1 install-man3 install-man4 install-man5 \ install-man3 install-man4 install-man5 install-pdf \
install-pdf install-pdf-am install-ps install-ps-am \ install-pdf-am install-ps install-ps-am install-strip \
install-strip installcheck installcheck-am installdirs \ installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean maintainer-clean-generic mostlyclean \ maintainer-clean-generic mostlyclean mostlyclean-generic \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
tags-am uninstall uninstall-am uninstall-man uninstall-man1 \ uninstall-man uninstall-man1 uninstall-man3 uninstall-man4 \
uninstall-man3 uninstall-man4 uninstall-man5 uninstall-man5
file.1: Makefile file.man file.1: Makefile file.man
......
# Makefile.in generated by automake 1.14 from Makefile.am. # Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2013 Free Software Foundation, Inc. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
...@@ -15,51 +16,6 @@ ...@@ -15,51 +16,6 @@
@SET_MAKE@ @SET_MAKE@
VPATH = @srcdir@ VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/@PACKAGE@ pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@ pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@ pkglibexecdir = $(libexecdir)/@PACKAGE@
...@@ -78,7 +34,7 @@ POST_UNINSTALL = : ...@@ -78,7 +34,7 @@ POST_UNINSTALL = :
build_triplet = @build@ build_triplet = @build@
host_triplet = @host@ host_triplet = @host@
subdir = magic subdir = magic
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
...@@ -90,25 +46,14 @@ mkinstalldirs = $(install_sh) -d ...@@ -90,25 +46,14 @@ mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES = CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@) AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@; am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@) AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @ am__v_at_0 = @
am__v_at_1 =
SOURCES = SOURCES =
DIST_SOURCES = DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \ am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
...@@ -138,7 +83,6 @@ am__uninstall_files_from_dir = { \ ...@@ -138,7 +83,6 @@ am__uninstall_files_from_dir = { \
} }
am__installdirs = "$(DESTDIR)$(pkgdatadir)" am__installdirs = "$(DESTDIR)$(pkgdatadir)"
DATA = $(pkgdata_DATA) DATA = $(pkgdata_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = @pkgdatadir@ pkgdatadir = @pkgdatadir@
ACLOCAL = @ACLOCAL@ ACLOCAL = @ACLOCAL@
...@@ -577,11 +521,8 @@ clean-libtool: ...@@ -577,11 +521,8 @@ clean-libtool:
-rm -rf .libs _libs -rm -rf .libs _libs
install-pkgdataDATA: $(pkgdata_DATA) install-pkgdataDATA: $(pkgdata_DATA)
@$(NORMAL_INSTALL) @$(NORMAL_INSTALL)
test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \ @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
if test -n "$$list"; then \
echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)'"; \
$(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" || exit 1; \
fi; \
for p in $$list; do \ for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; \ echo "$$d$$p"; \
...@@ -596,11 +537,11 @@ uninstall-pkgdataDATA: ...@@ -596,11 +537,11 @@ uninstall-pkgdataDATA:
@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \ @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir) dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
tags TAGS: tags: TAGS
TAGS:
ctags CTAGS:
cscope cscopelist: ctags: CTAGS
CTAGS:
distdir: $(DISTFILES) distdir: $(DISTFILES)
...@@ -740,16 +681,16 @@ uninstall-am: uninstall-pkgdataDATA ...@@ -740,16 +681,16 @@ uninstall-am: uninstall-pkgdataDATA
.MAKE: install-am install-strip .MAKE: install-am install-strip
.PHONY: all all-am check check-am clean clean-generic clean-libtool \ .PHONY: all all-am check check-am clean clean-generic clean-libtool \
cscopelist-am ctags-am distclean distclean-generic \ distclean distclean-generic distclean-libtool distdir dvi \
distclean-libtool distdir dvi dvi-am html html-am info info-am \ dvi-am html html-am info info-am install install-am \
install install-am install-data install-data-am install-dvi \ install-data install-data-am install-dvi install-dvi-am \
install-dvi-am install-exec install-exec-am install-html \ install-exec install-exec-am install-html install-html-am \
install-html-am install-info install-info-am install-man \ install-info install-info-am install-man install-pdf \
install-pdf install-pdf-am install-pkgdataDATA install-ps \ install-pdf-am install-pkgdataDATA install-ps install-ps-am \
install-ps-am install-strip installcheck installcheck-am \ install-strip installcheck installcheck-am installdirs \
installdirs maintainer-clean maintainer-clean-generic \ maintainer-clean maintainer-clean-generic mostlyclean \
mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \ mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
ps ps-am tags-am uninstall uninstall-am uninstall-pkgdataDATA uninstall uninstall-am uninstall-pkgdataDATA
${MAGIC}: $(EXTRA_DIST) $(FILE_COMPILE_DEP) ${MAGIC}: $(EXTRA_DIST) $(FILE_COMPILE_DEP)
......
# Makefile.in generated by automake 1.14 from Makefile.am. # Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2013 Free Software Foundation, Inc. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
...@@ -14,51 +15,6 @@ ...@@ -14,51 +15,6 @@
@SET_MAKE@ @SET_MAKE@
VPATH = @srcdir@ VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/@PACKAGE@ pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@ pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@ pkglibexecdir = $(libexecdir)/@PACKAGE@
...@@ -77,7 +33,7 @@ POST_UNINSTALL = : ...@@ -77,7 +33,7 @@ POST_UNINSTALL = :
build_triplet = @build@ build_triplet = @build@
host_triplet = @host@ host_triplet = @host@
subdir = python subdir = python
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am README DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
...@@ -89,26 +45,14 @@ mkinstalldirs = $(install_sh) -d ...@@ -89,26 +45,14 @@ mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES = CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@) AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@; am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@) AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @ am__v_at_0 = @
am__v_at_1 =
SOURCES = SOURCES =
DIST_SOURCES = DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = @pkgdatadir@ pkgdatadir = @pkgdatadir@
ACLOCAL = @ACLOCAL@ ACLOCAL = @ACLOCAL@
...@@ -270,11 +214,11 @@ mostlyclean-libtool: ...@@ -270,11 +214,11 @@ mostlyclean-libtool:
clean-libtool: clean-libtool:
-rm -rf .libs _libs -rm -rf .libs _libs
tags TAGS: tags: TAGS
TAGS:
ctags CTAGS:
cscope cscopelist: ctags: CTAGS
CTAGS:
distdir: $(DISTFILES) distdir: $(DISTFILES)
...@@ -410,16 +354,15 @@ uninstall-am: ...@@ -410,16 +354,15 @@ uninstall-am:
.MAKE: install-am install-strip .MAKE: install-am install-strip
.PHONY: all all-am check check-am clean clean-generic clean-libtool \ .PHONY: all all-am check check-am clean clean-generic clean-libtool \
cscopelist-am ctags-am distclean distclean-generic \ distclean distclean-generic distclean-libtool distdir dvi \
distclean-libtool distdir dvi dvi-am html html-am info info-am \ dvi-am html html-am info info-am install install-am \
install install-am install-data install-data-am install-dvi \ install-data install-data-am install-dvi install-dvi-am \
install-dvi-am install-exec install-exec-am install-html \ install-exec install-exec-am install-html install-html-am \
install-html-am install-info install-info-am install-man \ install-info install-info-am install-man install-pdf \
install-pdf install-pdf-am install-ps install-ps-am \ install-pdf-am install-ps install-ps-am install-strip \
install-strip installcheck installcheck-am installdirs \ installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean maintainer-clean-generic mostlyclean \ maintainer-clean-generic mostlyclean mostlyclean-generic \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
tags-am uninstall uninstall-am
# Tell versions [3.59,3.63) of GNU make to not export all variables. # Tell versions [3.59,3.63) of GNU make to not export all variables.
......
# Makefile.in generated by automake 1.14 from Makefile.am. # Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2013 Free Software Foundation, Inc. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
...@@ -14,51 +15,6 @@ ...@@ -14,51 +15,6 @@
@SET_MAKE@ @SET_MAKE@
VPATH = @srcdir@ VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/@PACKAGE@ pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@ pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@ pkglibexecdir = $(libexecdir)/@PACKAGE@
...@@ -78,8 +34,7 @@ build_triplet = @build@ ...@@ -78,8 +34,7 @@ build_triplet = @build@
host_triplet = @host@ host_triplet = @host@
check_PROGRAMS = test$(EXEEXT) check_PROGRAMS = test$(EXEEXT)
subdir = tests subdir = tests
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
$(top_srcdir)/depcomp README
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
...@@ -97,19 +52,6 @@ test_DEPENDENCIES = $(top_builddir)/src/libmagic.la ...@@ -97,19 +52,6 @@ test_DEPENDENCIES = $(top_builddir)/src/libmagic.la
AM_V_lt = $(am__v_lt_@AM_V@) AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@) am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent am__v_lt_0 = --silent
am__v_lt_1 =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 =
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles am__depfiles_maybe = depfiles
...@@ -122,40 +64,22 @@ LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ ...@@ -122,40 +64,22 @@ LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(AM_CFLAGS) $(CFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@) AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@) am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo " CC " $@; am__v_CC_0 = @echo " CC " $@;
am__v_CC_1 = AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
CCLD = $(CC) CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o $@ $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@) AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@) am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo " CCLD " $@; am__v_CCLD_0 = @echo " CCLD " $@;
am__v_CCLD_1 = AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@;
SOURCES = test.c SOURCES = test.c
DIST_SOURCES = test.c DIST_SOURCES = test.c
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates. Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
BEGIN { nonempty = 0; } \
{ items[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique. This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
list='$(am__tagged_files)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | $(am__uniquify_input)`
ETAGS = etags ETAGS = etags
CTAGS = ctags CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
...@@ -333,7 +257,6 @@ clean-checkPROGRAMS: ...@@ -333,7 +257,6 @@ clean-checkPROGRAMS:
list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
echo " rm -f" $$list; \ echo " rm -f" $$list; \
rm -f $$list rm -f $$list
test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES) test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES)
@rm -f test$(EXEEXT) @rm -f test$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS) $(AM_V_CCLD)$(LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS)
...@@ -390,15 +313,26 @@ mostlyclean-libtool: ...@@ -390,15 +313,26 @@ mostlyclean-libtool:
clean-libtool: clean-libtool:
-rm -rf .libs _libs -rm -rf .libs _libs
ID: $(am__tagged_files) ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
$(am__define_uniq_tagged_files); mkid -fID $$unique list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
tags: tags-am unique=`for i in $$list; do \
TAGS: tags if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
set x; \ set x; \
here=`pwd`; \ here=`pwd`; \
$(am__define_uniq_tagged_files); \ list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
shift; \ shift; \
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \ test -n "$$unique" || unique=$$empty_fix; \
...@@ -410,11 +344,15 @@ tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) ...@@ -410,11 +344,15 @@ tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
$$unique; \ $$unique; \
fi; \ fi; \
fi fi
ctags: ctags-am ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
CTAGS: ctags $(TAGS_FILES) $(LISP)
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
$(am__define_uniq_tagged_files); \ unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
test -z "$(CTAGS_ARGS)$$unique" \ test -z "$(CTAGS_ARGS)$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$unique $$unique
...@@ -423,21 +361,6 @@ GTAGS: ...@@ -423,21 +361,6 @@ GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \ here=`$(am__cd) $(top_builddir) && pwd` \
&& $(am__cd) $(top_srcdir) \ && $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here" && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am
cscopelist-am: $(am__tagged_files)
list='$(am__tagged_files)'; \
case "$(srcdir)" in \
[\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
*) sdir=$(subdir)/$(srcdir) ;; \
esac; \
for i in $$list; do \
if test -f "$$i"; then \
echo "$(subdir)/$$i"; \
else \
echo "$$sdir/$$i"; \
fi; \
done >> $(top_builddir)/cscope.files
distclean-tags: distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
...@@ -581,9 +504,9 @@ uninstall-am: ...@@ -581,9 +504,9 @@ uninstall-am:
.MAKE: check-am install-am install-strip .MAKE: check-am install-am install-strip
.PHONY: CTAGS GTAGS TAGS all all-am check check-am check-local clean \ .PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \ clean-checkPROGRAMS clean-generic clean-libtool ctags \
ctags ctags-am distclean distclean-compile distclean-generic \ distclean distclean-compile distclean-generic \
distclean-libtool distclean-tags distdir dvi dvi-am html \ distclean-libtool distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \ html-am info info-am install install-am install-data \
install-data-am install-dvi install-dvi-am install-exec \ install-data-am install-dvi install-dvi-am install-exec \
...@@ -593,7 +516,7 @@ uninstall-am: ...@@ -593,7 +516,7 @@ uninstall-am:
installcheck-am installdirs maintainer-clean \ installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \ maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags tags-am uninstall uninstall-am tags uninstall uninstall-am
check-local: check-local:
MAGIC=$(top_builddir)/magic/magic ./test MAGIC=$(top_builddir)/magic/magic ./test
......
This source diff could not be displayed because it is too large. You can view the blob instead.
...@@ -103,11 +103,6 @@ ...@@ -103,11 +103,6 @@
# endif # endif
#endif #endif
/* Enable large inode numbers on Mac OS X 10.5. */
#ifndef _DARWIN_USE_64_BIT_INODE
# define _DARWIN_USE_64_BIT_INODE 1
#endif
/* Number of bits in a file offset, on hosts where this is settable. */ /* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS #undef _FILE_OFFSET_BITS
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment